---
apiVersion: batch/v1
kind: Job
metadata:
  name: "{{ .Release.Name }}-minio-bootstrap-{{ randNumeric 5 }}"
  namespace: {{ .Release.Namespace }}
spec:
  template:
    spec:
      restartPolicy: OnFailure
      containers:
      - image: bitnami/minio-client
        name: minio-client
        command: ["bash"]
        args: ["/scripts/bootstrap.sh"]
        volumeMounts:
        - name: minio-scripts-vol
          mountPath: "/scripts"
          readOnly: true
      volumes:
      - name: minio-scripts-vol
        configMap:
          name: minio-scripts
---
apiVersion: v1
data:
  bootstrap.sh: |
    # TODO: use an env var and load secret into it Job instead
    mc alias set cyberrs-minio http://{{ .Release.Name }}-minio:9000 {{ .Values.minio.auth.rootUser }} {{ .Values.minio.auth.rootPassword }}
    mc mb cyberrs-minio/crs
    mc event add cyberrs-minio/crs arn:minio:sqs::_:redis --event put
    mc admin service restart cyberrs-minio
kind: ConfigMap
metadata:
  name: minio-scripts
  namespace: {{ .Release.Namespace }}
